textures/stopit/void_purple
{
	qer_editorimage textures/stopit/noise_animation_1.tga
	qer_trans 0.6

	q3map_globaltexture

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull disable
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
    {
		animMap 10 textures/stopit/noise_animation_1.tga textures/stopit/noise_animation_2.tga textures/stopit/noise_animation_3.tga textures/stopit/noise_animation_4.tga textures/stopit/noise_animation_5.tga textures/stopit/noise_animation_6.tga textures/stopit/noise_animation_7.tga textures/stopit/noise_animation_8.tga
		rgbGen const ( 0.15 0.03 0.15 )
        tcMod scroll .001 .001
		blendfunc add					
    }
}


textures/stopit/water
{
	qer_editorimage textures/stopit/waterdark
	qer_trans .5
	q3map_lightmapBrightness 1.1
	q3map_lightmapMergable
	q3map_lightSubdivide 128
	q3map_surfacelight 250
	q3map_lightRGB 0.7 0.7 1.0
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/stopit/waterbright
		blendFunc GL_dst_color GL_one
		rgbgen identity
		alphaGen wave sin 0.6 0 0 0
		//tcmod scale .5 .5
		tcmod scroll .035 .01
		//rgbGen wave sin 0.85 0.1 0 0.03
	}
	{ 
		map textures/stopit/waterdark
		blendFunc GL_dst_color GL_one
		rgbgen identity
		alphaGen wave sin 0.2 0 0 0
		//tcmod scale -.5 -.5
		tcmod scroll .025 .025
		//rgbGen wave sin 0.85 0.1 0 0.03
	}
	{
		map $lightmap
		blendfunc filter	
	}
}

textures/stopit/128-02a_icy 
{
	qer_editorimage textures/stopit/128-02a
	q3map_cloneshader textures/stopit/icy
	surfaceparm slick
	q3map_surfacelight 200
	{
        map textures/stopit/128-02a
    }
}

textures/stopit/064-10c_icy 
{
	qer_editorimage textures/stopit/064-10c
	q3map_cloneshader textures/stopit/icy
	surfaceparm slick
	q3map_surfacelight 200	
	{
        map textures/stopit/064-10c
    }
}

textures/stopit/s128-01a_icy 
{
	qer_editorimage textures/stopit/s128-01a
	q3map_cloneshader textures/stopit/icy
	surfaceparm slick
	q3map_surfacelight 200	
	{
        map textures/stopit/s128-01a
    }
}

textures/stopit/block01c_icy 
{
	qer_editorimage textures/stopit/block01c
	q3map_cloneshader textures/stopit/icy
	surfaceparm slick
	q3map_surfacelight 200	
	{
        map textures/stopit/block01c
    }
}


textures/stopit/064-14a_icy 
{
	qer_editorimage textures/stopit/064-14a
	q3map_cloneshader textures/stopit/icy
	surfaceparm slick
	q3map_surfacelight 200	
	{
        map textures/stopit/064-14a
    }
}

textures/stopit/032-10a_icy 
{
	qer_editorimage textures/stopit/032-10a
	q3map_cloneshader textures/stopit/icy
	surfaceparm slick
	q3map_surfacelight 200	
	{
        map textures/stopit/032-10a
    }
}

textures/stopit/icy 
{
	{
        map textures/stopit/goldenshiny2.tga
        tcgen environment
        blendFunc blend
    }
	{
        map $lightmap
        blendfunc filter
    }
}

textures/stopit/lig_064-05b1-2k
{
	qer_editorimage textures/stopit/064lig30ba.tga
	q3map_lightimage textures/stopit/064lig30b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/stopit/064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/stopit/064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}


textures/stopit/lig_128-02b3-2k
{
	qer_editorimage textures/stopit/sqrlig03bc.tga
	q3map_lightimage textures/stopit/sqrlig03b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stopit/sqrlig03bc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/stopit/sqrlig03b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/stopit/lig_128-03b3-2k
{
	qer_editorimage textures/stopit/octlig01bc.tga
	q3map_lightimage textures/stopit/sqrlig02b2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/stopit/octlig01bc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/stopit/sqrlig02b2.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/stopit/met_wall01d:q3map
{
	surfaceparm slick
}

textures/stopit/glass_blue1
{
	qer_editorimage textures/stopit/glass_blue1.tga
	qer_trans	0.40
	surfaceparm	alphashadow
	surfaceparm	nomarks
	surfaceparm	trans	
	surfaceparm	playerclip
	surfaceparm	noimpact
	cull none
	{
		map textures/stopit/glass_blue1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcGen environment
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}	
}